from parallels.core.utils.entity import Entity


class RoleServicePermission(Entity):
    def __init__(self, role_id, service_permission_id):
        self._role_id = role_id
        self._service_permission_id = service_permission_id

    @property
    def role_id(self):
        """
        :rtype: str | unicode
        """
        return self._role_id

    @property
    def service_permission_id(self):
        """
        :rtype: str | unicode
        """
        return self._service_permission_id
